Bug 446155 - Automatic installation with Kickstart failed in 5.2 in Intel Stoakley.
Automatic installation with Kickstart failed in 5.2 in Intel Stoakley.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Stefan Assmann
Red Hat Kernel QE team
:
Depends On:
Blocks: 688932
  Show dependency treegraph
 
Reported: 2008-05-12 23:53 EDT by austin
Modified: 2013-03-19 13:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-07 10:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
01-00-15-17-02-41-b0 is pxe config, it is for RHEL 5.1 GA (205 bytes, text/plain)
2008-05-12 23:56 EDT, austin
no flags Details
01-00-30-48-7c-cf-e0 pxe file for RHEL 5.2 Snapshot7 (205 bytes, text/plain)
2008-05-12 23:57 EDT, austin
no flags Details
Ks_0_1.cfg, kickstart config file, auto installation will fail because eth0 can't be up. (3.56 KB, text/plain)
2008-05-12 23:58 EDT, austin
no flags Details
Ks_0_2.cfg is ks config, it is for RHEL 5.1 GA. (3.55 KB, text/plain)
2008-05-12 23:59 EDT, austin
no flags Details

  None (edit)
Description austin 2008-05-12 23:53:38 EDT
Description of problem:
Automatic installation with Kickstart failed in 5.2 in Intel Stoakley. The same 
config file works well in 5.1GA. And this failure just happened in Stoakley. It 
works well in Bensley (the same NIC with stoakley) platform.

Version-Release number of selected component (if applicable):


How reproducible:
Always when using the attached config file.

Steps to Reproduce:
1.Using the attachement config file.
2.boot machine.
3.The installation will stop due to fail to enable NIC. 
  
Actual results:
Can not do automatic installation.

Expected results:
Can do automatic installation well.

Additional info:
From console, the log shows: the NIC was enabled at first and successed, but 
then the installer tries to enable the NIC again and fail to enable it then. 
For bensley, the same log and process, but the second enabling of NIC is 
successful.
For those attachment config files:
Ks_0_2.cfg is ks config, 01-00-15-17-02-41-b0 is pxe config, they are for RHEL 
5.1 GA (works well)

Ks_0_1.cfg, 01-00-30-48-7c-cf-e0 for RHEL 5.2 Snapshot 7, auto installation 
will fail because eth0 can't be up. (fail to automaticly install)
Comment 1 austin 2008-05-12 23:56:46 EDT
Created attachment 305196 [details]
01-00-15-17-02-41-b0 is pxe config, it is for RHEL 5.1 GA
Comment 2 austin 2008-05-12 23:57:40 EDT
Created attachment 305197 [details]
01-00-30-48-7c-cf-e0 pxe file for RHEL 5.2 Snapshot7
Comment 3 austin 2008-05-12 23:58:41 EDT
Created attachment 305198 [details]
Ks_0_1.cfg, kickstart config file, auto installation will fail because eth0 can't be up.
Comment 4 austin 2008-05-12 23:59:26 EDT
Created attachment 305199 [details]
Ks_0_2.cfg is ks config, it is for RHEL 5.1 GA.
Comment 5 Chris Lumens 2008-05-13 10:10:45 EDT
Please attach the log file or at least a screenshot of tty3 to this bug report
so we can see exactly what's going on.
Comment 6 austin 2008-05-14 04:25:14 EDT
I can get the log from COM port but just kernel output and text UI for 
installer, can not get the out of tty3 by minicom, so note down some info from 
2 console (clt-alt-f3/f4)
for output of clt-alt-f3:
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 13
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 13
INFO	:DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 12
INFO	:DHCPv4 eth0 - TIMED OUT.
INFO	:dhcp: DHCP configuration failed
INFO	:doing kickstart... setting it up
ERROR	:no DNS servers, can't look up hostname
INFO	:starting to STEP_URL
INFO	:going to do nfsGetSetup
INFO	:host is otc-files.bj.intel.com, dir 
is /srv/pub/ISO/redhat/Server/X86_64/5.2-Snapshot7/all, otps are '(null)'
INFO	:monuting nfs path otc-
files.bj.intel.com:/srv/pub/ISO/redhat/Server/X86_64/5.2-Snapshot7/all


for output of clt-alt-f4:
<5>sd 0:0:0:0 Attached scsi disk sda
<6>ADDRCONF(NETDEV_UP): eth0: link is not ready
<6>igb 0000:08:00.0: NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
<6>ADDRCONF(NETDEV_UP): eth0: link is not ready
<6>igb 0000:08:00.0: NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
<6>ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
<6>ADDRCONF(NETDEV_UP): eth0: link is not ready
<6>ADDRCONF(NETDEV_UP): eth0: link is not ready
 
Comment 9 RHEL Product and Program Management 2010-12-07 04:50:51 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.6 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 10 RHEL Product and Program Management 2011-06-20 17:09:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 11 Stefan Assmann 2011-08-09 02:31:19 EDT
Is this still the case with 5.7 ? If so let me know which system.
Comment 12 Jane Lv 2011-08-09 02:46:15 EDT
I will try to find a Stoakley system to have a try.
Comment 13 Stefan Assmann 2011-09-07 10:01:38 EDT
Closing this for now, please reopen if the problem is observed again.

Note You need to log in before you can comment on or make changes to this bug.